Network manager, как его вернуть. [решено]

Изображение пользователя oromay.

Вот такая беда, удалил нм и понял, что без него мне к сети не подключится уже( Слишком это сложно! Как все сделать как было? Диска 10.10 у меня, к сожалению, нет. Скачал какой-то нм с этого сайта Его можно поставить?

+1
rlepish - 14 Ноябрь, 2010 - 00:51

sudo aptitude search network-manager
i network-manager - сервіс менеджера мережі
p network-manager-dev - network management framework (development files)
p network-manager-gnome - network management framework (GNOME frontend)
p network-manager-kde - KDE system tray applet for controlling NetworkManager
p network-manager-openconnect - network management framework (Openconnect plugin)
p network-manager-openconnect-gnome - network management framework (Openconnect plugin, GNOME UI)
p network-manager-openvpn - network management framework (OpenVPN plugin)
p network-manager-openvpn-gnome - network management framework (OpenVPN plugin, GNOME UI)
p network-manager-openvpn-kde - KDE NetworkManagement infrastructure (OpenVPN plugin)
i network-manager-pptp - network management framework (PPTP plugin)
p network-manager-pptp-gnome - network management framework (PPTP plugin, GNOME UI)
i network-manager-pptp-kde - KDE NetworkManagement infrastructure (PPTP plugin)
p network-manager-strongswan - network management framework (strongSwan plugin)
p network-manager-strongswan-kde - KDE NetworkManagement infrastructure (strongSwan plugin)
p network-manager-vpnc - network management framework (VPNC plugin)
p network-manager-vpnc-gnome - network management framework (VPNC plugin, GNOME UI)
p network-manager-vpnc-kde - KDE NetworkManagement infrastructure (VPNC plugin)

вот список пакетов, а искать их http://packages.ubuntu.com/, качать и устанавливать вручную

+5
Жюстина - 14 Ноябрь, 2010 - 11:07
Изображение пользователя Жюстина.

Лучше консолировать так: apt-get --print-uris -y install network-manager-kde он все зависимости учтёт и выведет список ссылок на пакеты, а дальше скачать да установить.

0
oromay - 14 Ноябрь, 2010 - 13:55
Изображение пользователя oromay.

Он требует еще какие-то пакеты:(

и так далее...
0
Жюстина - 14 Ноябрь, 2010 - 14:09
Изображение пользователя Жюстина.

Ну и чего это, где это, после чего это и вообще откуда это всё???

0
oromay - 14 Ноябрь, 2010 - 14:30
Изображение пользователя oromay.

Вот целиком
nikolay@Kolya:~$ sudo dpkg -i libnm-glib-dev_0.8.1+git.20100810t184654.ab580f4-0ubuntu2_amd64.deb
[sudo] password for nikolay:
Выбор ранее не выбранного пакета libnm-glib-dev.
(Чтение базы данных ... на данный момент установлено 139597 файлов и каталогов.)
Распаковывается пакет libnm-glib-dev (из файла libnm-glib-dev_0.8.1+git.20100810t184654.ab580f4-0ubuntu2_amd64.deb)...
dpkg: зависимости пакетов не позволяют настроить пакет libnm-glib-dev:
libnm-glib-dev зависит от libglib2.0-dev, однако:
  Пакет libglib2.0-dev не установлен.
libnm-glib-dev зависит от libdbus-glib-1-dev (>= 0.60), однако:
  Пакет libdbus-glib-1-dev не установлен.
libnm-glib-dev зависит от network-manager-dev, однако:
  Пакет network-manager-dev не установлен.
dpkg: не удалось обработать параметр libnm-glib-dev (--install):
проблемы зависимостей -- оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
libnm-glib-dev

0
Жюстина - 14 Ноябрь, 2010 - 14:46
Изображение пользователя Жюстина.

И зачем пакет libnm-glib-dev понадобился вдруг?

0
oromay - 14 Ноябрь, 2010 - 15:18
Изображение пользователя oromay.

Хм... сейчас apt-get --print-uris -y install network-manager-kde выдает совсем другие результаты:

+1
Жюстина - 14 Ноябрь, 2010 - 15:35
Изображение пользователя Жюстина.

Кошмар полный

sudo apt-get -f --print-uris install - получим ссылки на все пакеты которые нужны для того чтоб отремонтировать эту гадось, качаем их где-нибудь, потом sudo dpkg -i /папка/где/дебки/*.deb .

Потом уже повторить так же с apt-get --print-uris -y install network-manager-kde network-manager-pptp network-manager-pptp-kde network-manager-vpnc-kde

И ставить надо не по одному: dpkg -i какой-то-пакет.deb, а сразу все что есть... sudo dpkg -i /папка/где/дебки/*.deb

0
oromay - 14 Ноябрь, 2010 - 16:16
Изображение пользователя oromay.

Да, уж! после первой части вывод:
При обработке следующих пакетов произошли ошибки:
libc6-dev
libnm-util-dev

после второй
Уже установлена самая новая версия network-manager-kde.
Уже установлена самая новая версия network-manager-pptp.
Уже установлена самая новая версия network-manager-pptp-kde.
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
knm-runtime : Зависит: network-manager (>= 0.7.0) но он не будет установлен
libc6-dev : Зависит: libc-dev-bin (= 2.12.1-0ubuntu9) но он не будет установлен
network-manager-vpnc-kde : Зависит: network-manager-vpnc но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).

Целиком все:

0
Жюстина - 14 Ноябрь, 2010 - 16:26
Изображение пользователя Жюстина.

И что? Проблема всё ещё осталась что ли?

Надо ещё повторить принцип действий?

apt-get --print-uris смотрим ссылки на нужные пакеты, которых ему не хватает, качаем... ставим... (повторяем сии действия) до полного уничтожения проблемищи...

0
oromay - 14 Ноябрь, 2010 - 16:42
Изображение пользователя oromay.

Ну да... какая-то лажа снова. Думаю, легче переустановить

0
Жюстина - 14 Ноябрь, 2010 - 17:08
Изображение пользователя Жюстина.

Ну может и легче если совсем времени много...

0
oromay - 14 Ноябрь, 2010 - 19:20
Изображение пользователя oromay.

Спасибо Вам, получилось!

0
SmartByte - 14 Ноябрь, 2010 - 15:56
Изображение пользователя SmartByte.

Мде, существует такое золотое правило: работает - не трогай!

0
oromay - 14 Ноябрь, 2010 - 16:20
Изображение пользователя oromay.

Ха:-) ну сейчас уже поздно жалеть!

+1
dyug - 14 Ноябрь, 2010 - 16:38

Скажите, пожалуйста мне только одно: Вы точно уверены что вам нужны пакеты для разработчиков?
Это те, которые имеют приставку -dev ака девелоперс?
Нахрена Они Вам нужны? Вы будете разрабатывать новее версии плагинов, или новую версию нетворк-манагера?

0
oromay - 14 Ноябрь, 2010 - 16:48
Изображение пользователя oromay.

Что тут скажешь? http://www.youtube.com/watch?v=0ceg1olkgf8 ;-))

0
dyug - 14 Ноябрь, 2010 - 19:16

Ну по вопросу этого ролика я могу сказать однозначно. Но нецензурно.
По вопросу нетворк-манагера - я так думаю, что вам будет проще поставить с нуля, чем вот сейчас разбираться с тем, что сделано по глупости.
Будет наука, не делать того, чего не понимаете, и что делать НЕ СОВЕТУЕТСЯ. ибо разработчики дистрибутива, мне так кажется, лучше понимают, что нужно для работы системы, чем вы.
Вычищать все то, что уже налеплено - проще поставить с нуля с форматом корневой файловой системы.

P.S. Ссылки нужно делать кликабельными. :-)

0
oromay - 14 Ноябрь, 2010 - 19:19
Изображение пользователя oromay.

да, ссылка у меня та еще:-) А я думал ролик Вам понравится, довольно смешной)

0
dyug - 14 Ноябрь, 2010 - 19:24

Нет, ибо этот ролик пропагандирует то, от чего линух стремится избавиться.
Прежде всего, от идиотизма. А ролик пропагандирует именно его, и ничего больше.

0
oromay - 14 Ноябрь, 2010 - 20:20
Изображение пользователя oromay.

Ага) пропаганда против линукса, что еще придумаете?)
По-моему парень классно утрировал идеологию многих линуксманов... ну, есть такая категория, по крайне мере. Конечно, не все.

0
Flameflower - 14 Ноябрь, 2010 - 20:40
Изображение пользователя Flameflower.

А если попробовать KDE переустановить, вместо всей системы?
sudo aptapitude purge akonadi-server akregator amarok amarok-common amarok-utils apport-kde apturl-kde ark bluedevil cdparanoia cdrdao docbook-xsl docbook-xsl-doc-html dolphin dragonplayer gdebi-core gdebi-kde gnupg-agent gnupg2 gtk2-engines-qtcurve gwenview hal hal-info ibus-qt4 icoutils jockey-kde k3b k3b-data kaddressbook kamera kate kcalc kde-config-gtk kde-config-touchpad kde-window-manager kde-zeroconf kdebase-bin kdebase-data kdebase-runtime kdebase-runtime-data kdebase-workspace kdebase-workspace-bin kdebase-workspace-data kdebase-workspace-kgreet-plugins kdegraphics-libs-data kdegraphics-strigi-plugins kdelibs-bin kdelibs5 kdelibs5-data kdelibs5-plugins kdemultimedia-kio-plugins kdepasswd kdepim-groupware kdepim-kresources kdepim-runtime kdepim-strigi-plugins kdepim-wizards kdepimlibs-kio-plugins kdesudo kdm kdoctools kfind khelpcenter4 kinfocenter klipper kmag kmail kmix kmousetool knm-runtime knotes konsole kontact kopete kopete-message-indicator korganizer kpackagekit kppp krdc krfb krosspython ksnapshot ksysguard ksysguardd ksystemlog ktimetracker ktorrent ktorrent-data kubuntu-debug-installer kubuntu-default-settings kubuntu-desktop kubuntu-docs kubuntu-firefox-installer kubuntu-konqueror-shortcuts kubuntu-netbook-default-settings kubuntu-notification-helper kvkbd kwalletmanager language-selector-qt libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadiprivate1 libao-common libao4 libattica0 libaudio2 libbluedevil1 libboost-program-options1.42.0 libcln6 libclucene0ldbl libdbusmenu-qt2 libdebconf-kde0 libdirectfb-1.2-9 libepub0 libflac++6 libgif4 libgpgme++2 libgps19 libhal-storage1 libhal1 libibus-qt1 libilmbase6 libindicate-qt0 libiodbc2 libk3b6 libkabc4 libkatepartinterfaces4 libkblog4 libkcal4 libkcddb4 libkdcraw8 libkde3support4 libkdecorations4 libkdecore5 libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkephal4 libkexiv2-8 libkfile4 libkholidays4 libkhtml5 libkimap4 libkimproxy4 libkio5 libkipi7 libkjsapi4 libkjsembed4 libkldap4 libkleo4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkonq5 libkonq5-templates libkontactinterface4 libkopete4 libkparts4 libkpgp4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkpty4 libkresources4 libkrosscore4 libkrossui4 libksba8 libkscreensaver5 libksgrd4 libksieve4 libksignalplotter4 libktexteditor4 libktnef4 libktorrent-l10n libktorrent2 libkunitconversion4 libkutils4 libkwineffects1a libkworkspace4 libkxmlrpcclient4 liblastfm0 libloudmouth1-0 libmailtransport4 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4 libmng1 libmodplug1 libmpcdec6 libmsn0.3 libmysqlclient16 libnepomuk4 libnepomukquery4a libokularcore1 libopenexr6 libotr2 libpackagekit-glib2-14 libpackagekit-qt-14 libphonon4 libplasma-geolocation-interface4 libplasma3 libplasmaclock4b libplasmagenericshell4 libpolkit-qt-1-0 libpoppler-qt4-3 libprocesscore4a libprocessui4a libqalculate5 libqapt-runtime libqapt1 libqca2 libqca2-plugin-ossl libqgpgme1 libqimageblitz4 libqjson0 libqt4-dbus libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libqtscript4-core libqtscript4-gui libqtscript4-network libqtscript4-sql libqtscript4-uitools libqtscript4-xml libqtwebkit4 libreadline5 libsolid4 libsolidcontrol4a libsolidcontrolifaces4 libsoprano4 libssh-4 libstreamanalyzer0 libstreams0 libsyndication4 libtag-extras1 libtaskmanager4a libtelepathy-qt4-0 libthreadweaver4 libts-0.0-0 libvirtodbc0 libvncserver0 libweather-ion4a libxcb-shape0 libxcb-xv0 libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x libzip1 mysql-client-core-5.1 mysql-common mysql-server-core-5.1 network-manager-pptp-kde odbcinst odbcinst1debian2 okular okular-extra-backends openoffice.org-kde openoffice.org-style-oxygen oxygen-cursor-theme oxygen-icon-theme oxygen-icon-theme-complete packagekit packagekit-backend-aptcc phonon phonon-backend-xine pinentry-gtk2 pinentry-qt4 plasma-dataengines-addons plasma-dataengines-workspace plasma-desktop plasma-netbook plasma-scriptengine-javascript plasma-scriptengine-python plasma-widget-facebook plasma-widget-folderview plasma-widget-kimpanel plasma-widget-kimpanel-backend-ibus plasma-widget-kubuntu-feedback plasma-widget-menubar plasma-widget-message-indicator plasma-widget-networkmanagement plasma-widget-quickaccess plasma-widgets-addons plasma-widgets-workspace plymouth-theme-kubuntu-logo plymouth-theme-kubuntu-text polkit-kde-1 printer-applet python-kde4 python-packagekit python-qt4 python-qt4-dbus python-sip qapt-batch quassel quassel-data rekonq shared-desktop-ontologies smartdimmer software-properties-kde soprano-daemon system-config-printer-kde systemsettings tsconf ttf-dejavu ttf-dejavu-extra update-manager-kde usb-creator-kde userconfig virtuoso-minimal virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common && sudo aptitude install kubuntu-desktop && sudo aptitude full-upgrade -f

0
Жюстина - 14 Ноябрь, 2010 - 21:33
Изображение пользователя Жюстина.

Очень интересный ход, если учесть что интернета то нет ))))

0
Flameflower - 15 Ноябрь, 2010 - 05:54
Изображение пользователя Flameflower.

Да, пардон, каюсь. Просто у себя NM выпилил из системы почти сразу после апгрейда до 10.10, а в инет хожу через pptp, который автоматически поднимается при старте системы из,ммм, конфигов(?).

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры